Bug 14002 - Show patron expiry date in OPAC
Summary: Show patron expiry date in OPAC
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-16 11:10 UTC by Katrin Fischer
Modified: 2017-06-14 22:10 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14002: Show patron expiry date in OPAC (2.11 KB, patch)
2015-06-09 23:00 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 14002: Show patron expiry date in OPAC (2.15 KB, patch)
2015-06-09 23:42 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 14002: Show patron expiry date in OPAC (2.21 KB, patch)
2015-06-10 03:43 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 14002: Show patron expiry date in OPAC (2.27 KB, patch)
2015-06-16 17:27 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14002: Display readonly values as plain text (1.73 KB, patch)
2015-06-16 17:27 UTC, Jonathan Druart
Details | Diff | Splinter Review
[PASSED QA] Bug 14002: Show patron expiry date in OPAC (2.33 KB, patch)
2015-06-19 15:11 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 14002: Display readonly values as plain text (1.79 KB, patch)
2015-06-19 15:11 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-04-16 11:10:25 UTC
We currently don't show the expiry date of the patron on the OPAC detail page. This is an important date and we should display it.
Comment 1 Katrin Fischer 2015-06-09 23:00:23 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2015-06-09 23:42:22 UTC Comment hidden (obsolete)
Comment 3 Aleisha Amohia 2015-06-10 03:43:56 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2015-06-16 17:27:13 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2015-06-16 17:27:17 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2015-06-16 17:28:20 UTC
(In reply to Jonathan Druart from comment #5)
> Created attachment 40199 [details] [review] [review]
> Bug 14002: Display readonly values as plain text
> 
> There is no need to display the cardnumber and expiration date values in
> a disabled input.
> 
> Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>

Katrin,
What about this patch?
I don't understand why the readonly values are displayed in a disabled input.
Comment 7 Katrin Fischer 2015-06-16 22:49:36 UTC
I copied mine from the cardnumber to be honest - will try to check your patch asap :)
Comment 8 Kyle M Hall 2015-06-19 15:11:05 UTC
Created attachment 40405 [details] [review]
[PASSED QA] Bug 14002: Show patron expiry date in OPAC

This patch makes it possible to show the expiration date
of a patron account in the OPAC on the details tab in the
patron account.

Extras:
- Makes it possible to hide cardnumber with
  PatronSelfRegistrationBorrowerUnwantedField

To test:
- Toggle OPACPatronDetails and test date expiry always shows
- Check PatronSelfRegistrationBorrowerUnwantedField for dateexpiry
  and cardnumber
- Verify a patron address modification request still works
  as expected

Signed-off-by: Aleisha <aleishaamohia@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 9 Kyle M Hall 2015-06-19 15:11:16 UTC
Created attachment 40406 [details] [review]
[PASSED QA] Bug 14002: Display readonly values as plain text

There is no need to display the cardnumber and expiration date values in
a disabled input.

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 10 Tomás Cohen Arazi 2015-06-25 17:51:12 UTC
Patches pushed to master.

Thanks Katrina!
Comment 11 Chris Cormack 2015-07-13 21:27:57 UTC
Pushed to 3.20.x will be in 3.20.2